stages:
 - Liste
 - CreationGroupe
 - Message

ListeDesUtilisateurGroupe:
  image: ubuntu
  stage: Liste
  script:
    - cat /etc/passwd > passwd
    - cat /etc/group > group
  artifacts:
    paths:
      - passwd
      - group

GroupeLinux:
  stage: CreationGroupe
  image: ubuntu
  script:
    - groupadd linux
  when: on_success

TestGroupeEchoué:
  stage: Message
  script:
    - echo "Groupe non ajouté" > FichierErreur.txt
  when: on_failure
  artifacts:
    paths:
      - FichierErreur.txt